For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all document spaces.
      • POSTCreates a new document space.
      • GETReturns the document space with the specified id.
      • PUTUpdates the document space with the specified id.
      • DELDeletes the document space with the specified id.
      • POSTAdds a list of document space contributors to a document space.
      • PUTUpdates the access of a document space contributor to the document space with the specified id.
      • DELDeletes the document space contributor with the specified id from a document space.
      • POSTAdds teams to the document space with the specified id.
      • PUTUpdates the access of a team to the document space with the specified id.
      • DELDeletes the team with the specified id from a document space.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocument Spaces

Adds teams to the document space with the specified id.

POST
https://api.awork.com/api/v1/documentspaces/:documentSpaceId/teams
POST
/api/v1/documentspaces/:documentSpaceId/teams
$curl -X POST https://api.awork.com/api/v1/documentspaces/documentSpaceId/teams \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "accessLevel": "read",
> "teamId": "123e4567-e89b-12d3-a456-426614174000"
> }
>]'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "teamId": "123e4567-e89b-12d3-a456-426614174000",
4 "accessLevel": "string"
5}
Adding teams to a document space will affect their access to the document space and documents within that space. <Check title="Required Permissions" icon="key">The user must be an admin.</Check>
Was this page helpful?
Previous

Updates the access of a team to the document space with the specified id.

Next
Built with

Adding teams to a document space will affect their access to the document space and documents within that space.

Required Permissions
The user must be an admin.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentSpaceIdstringRequiredformat: "uuid"
The id of the document space.

Request

The model with the list of teams to add.
accessLevelenumRequired

Determines the level of access granted to this contributor or team with respect to the referenced entity. Can be either set to read or manage where read allows viewing the entity and manage allows full control over it (read, write and permission changes).

Allowed values:
teamIdstringRequiredformat: "uuid"
The id of the team to be added.

Response

OK
idstringformat: "uuid"
The id of the entity to team.
teamIdstringformat: "uuid"
The id of the team this entity to team references.
accessLevelstring or null

Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to read or manage.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error